%
% Optical Imaging and Spectroscopy
%
% David J. Brady
% Duke University
% www.opticalimaging.org
%
%  Figure 9.4
% Code written by Ashwin Wagadarikar and Nikos Pitisianis, Duke University
%
function d = correlate(s1,s2);
%function d = correlate(s1,s2);
%
% Given spectra s1 and s2, find the number of pixels d
% you need to shift the second, to match the first one
%
% Nikos
%

[n,m] = size(s1);
 
[mx, d] = max(abs(ifft(fft(s2) .* conj(fft(s1)))));

% figure; clf
% for j=1:m
%     plot([s1(:,j) s2([d(j):n,1:d(j)-1],j)])
%     hold on
% end
%  drawnow
